Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603633 - Review Request: scholarsfonts-cardo-fonts - This is designed for classicists, Biblical scholars, medievalists, linguists
Review Request: scholarsfonts-cardo-fonts - This is designed for classicists,...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 04:24 EDT by Parag Nemade
Modified: 2010-07-09 10:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-09 10:02:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psatpute: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2010-06-14 04:24:31 EDT
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/scholarsfonts-cardo-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/scholarsfonts-cardo-fonts-0.099-1.fc13.src.rpm
Description: 
Cardo is a large Unicode font specifically designed for the needs of
classicists, Biblical scholars, medievalists, and linguists.  Since it may be
used to prepare materials for publication, it also contains features that are
required for high-quality typography, such as ligatures, text figures (also
known as old style numerals), true small capitals and a variety of punctuation
and space characters.  It may also be used to document and discuss the features
of Unicode that are applicable to the these disciplines, as we work to help
colleagues understand the value (and limitations) of Unicode.
This font has been revived in modern times under several names (Bembo, Aetna,
Aldine 401).
Comment 1 Pravin Satpute 2010-06-25 00:14:50 EDT
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2269813
+ rpmlint is silent for SRPM and for RPM.
*  scholarsfonts-cardo-fonts.src: W: no-buildroot-tag
now buildroot is not required, so this is ok

*scholarsfonts-cardo-fonts.noarch: W: obsolete-not-provided cardo-fonts
  since cardo-fonts built only for devel version and for very short life span, provide is not required really.

+ source files match upstream url
82bca1b561f5a84c676d27dd4e0280a1  cardo99.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.

+ license is open source-compatible.
in Manual98a.pdf page 14 it is written 

"This font is free for personal, non-commercial, or non-profit use. It may also be used to
prepare camera-ready copy for papers that will appear in academic journals, even if the
author of the paper receives remuneration for article. Any other commercial use (includ-
ing the printing of books to be sold at a profit) requires the purchase of an appropriate li-
cense. Individuals may give copies to others, as long as all files from the original zip ar-
chive are kept together and none is altered. This software may not be posted on any web
page, included in any compilation, or sold in any form without the express permission of
David J. Perry. Those who wish to promote the use of this font are encouraged to put a
link to my home page http://scholarsfonts.net on their web sites so that others may
download it."

It is conflicting with the mentioned license OFL in the font file.  On http://scholarsfonts.net/ It is written that from .99 version cardo-fonts are released under OFL

Manual98a.pdf is written for old version of cardo-fonts, so i think better to drop it. Or good to ask upstream to update it for the license change. 


- License text is included in package.
good to ask upstream to include license text in package, since license in ttf file is not visible vi all application.
will be good if you can add License as source1 in this package

+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content. // ask this
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application
Comment 3 Pravin Satpute 2010-07-01 01:08:16 EDT
+ approved
Comment 4 Parag Nemade 2010-07-05 01:19:43 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: scholarsfonts-cardo-fonts
Short Description: This is designed for classicists, Biblical scholars, medievalists, linguists
Owners: pnemade
Branches: 
InitialCC: i18n-team fonts-sig
Comment 5 Rakesh Pandit 2010-07-05 07:19:47 EDT
I see you are asking for fedora-cvs request. Accordingly set.
Comment 6 Kevin Fenzi 2010-07-07 21:19:50 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.